| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends | List of all members
ForwardSchedulerSvc::SchedulerState Class Reference
Collaboration diagram for ForwardSchedulerSvc::SchedulerState:
[legend]

## Public Member Functions
| SchedulerState (Algorithm *a, EventContext *e, pthread_t t)
Algorithm * | alg () const
EventContext | ctx () const
pthread_t | thread () const
bool | operator== (const SchedulerState &ss) const
bool | operator== (Algorithm *a) const
bool | operator< (const SchedulerState &rhs) const

## Private Attributes
Algorithm * | m_a
EventContext | m_e
pthread_t | m_t

## Friends
std::ostream & | operator<< (std::ostream &os, const SchedulerState &ss)

## Detailed Description

Definition at line 229 of file ForwardSchedulerSvc.h.

## Constructor & Destructor Documentation

ForwardSchedulerSvc::SchedulerState::SchedulerState | ( | Algorithm * | a,
|  | EventContext * | e,
|  | pthread_t | t
| ) |  |
| inline

Definition at line 232 of file ForwardSchedulerSvc.h.

232 :
233 m_a(a), m_e(*e), m_t(t)
234 {
235 }
ForwardSchedulerSvc::SchedulerState::m_e
EventContext m_e
Definition: ForwardSchedulerSvc.h:263
ForwardSchedulerSvc::SchedulerState::m_t
pthread_t m_t
Definition: ForwardSchedulerSvc.h:264
ForwardSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: ForwardSchedulerSvc.h:262

## Member Function Documentation

Algorithm* ForwardSchedulerSvc::SchedulerState::alg | ( |  | ) | const
| inline

Definition at line 237 of file ForwardSchedulerSvc.h.

237 { return m_a; }
ForwardSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: ForwardSchedulerSvc.h:262

EventContext ForwardSchedulerSvc::SchedulerState::ctx | ( |  | ) | const
| inline

Definition at line 238 of file ForwardSchedulerSvc.h.

238 { return m_e; }
ForwardSchedulerSvc::SchedulerState::m_e
EventContext m_e
Definition: ForwardSchedulerSvc.h:263

bool ForwardSchedulerSvc::SchedulerState::operator< | ( | const SchedulerState & | rhs | ) | const
| inline

Definition at line 257 of file ForwardSchedulerSvc.h.

257 {
258 return ( m_a < rhs.alg() );
259 }
ForwardSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: ForwardSchedulerSvc.h:262

bool ForwardSchedulerSvc::SchedulerState::operator== | ( | const SchedulerState & | ss | ) | const
| inline

Definition at line 249 of file ForwardSchedulerSvc.h.

249 {
250 return ( m_a == ss.alg() );
251 }
ForwardSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: ForwardSchedulerSvc.h:262

bool ForwardSchedulerSvc::SchedulerState::operator== | ( | Algorithm * | a | ) | const
| inline

Definition at line 253 of file ForwardSchedulerSvc.h.

253 {
254 return ( m_a == a );
255 }
ForwardSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: ForwardSchedulerSvc.h:262

pthread_t ForwardSchedulerSvc::SchedulerState::thread | ( |  | ) | const
| inline

Definition at line 239 of file ForwardSchedulerSvc.h.

239 { return m_t; }
ForwardSchedulerSvc::SchedulerState::m_t
pthread_t m_t
Definition: ForwardSchedulerSvc.h:264

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const SchedulerState & | ss
| ) |  |
| friend

Definition at line 241 of file ForwardSchedulerSvc.h.

241 {
242 os << ss.ctx()
243 << " a: " << ss.alg()->name()
244 << " [" << std::hex << ss.alg() << std::dec
245 << "] t: 0x" << std::hex << ss.thread() << std::dec;
246 return os;
247 }
std::hex
T hex(T...args)

## Member Data Documentation

Algorithm* ForwardSchedulerSvc::SchedulerState::m_a
| private

Definition at line 262 of file ForwardSchedulerSvc.h.

EventContext ForwardSchedulerSvc::SchedulerState::m_e
| private

Definition at line 263 of file ForwardSchedulerSvc.h.

pthread_t ForwardSchedulerSvc::SchedulerState::m_t
| private

Definition at line 264 of file ForwardSchedulerSvc.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/ForwardSchedulerSvc.h